Subject: How to move from /ppc/ to /powerpc/

From: Fredrik Roubert <[email-masked]>
Date: Tue, 12 Sep 2006 17:33:16 +0200

Hi!

I have a custom board on which I currently run Linux 2.6.18-rc6
configured for MPC834x_SYS in the /ppc/ tree, which just a few minor
changes. Now I'm interested to move to using the /powerpc/ source tree
instead, but I can't figure out exactly what steps are necessary to do
this.

Does anyone run a MPC834x_SYS built with ARCH=powerpc?

I boot the board with U-Boot (version 1.1.4, customized), and I assume
that I need to add some stuff for this new device tree thing, but I
can't figure out exactly what the kernel will expect.

Does anyone have some pointers on how to do this?

Cheers // Fredrik Roubert

-- 
Visserij 192  |  +32 473 344527 / +46 708 776974
BE-9000 Gent  |  http://www.df.lth.se/~roubert/